using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using NetworkResurrector.Api.Domain.Entities.Power;

namespace NetworkResurrector.Api.Domain.Data.EntityTypeConfiguration.Power
{
    class PowerActionConfiguration : IEntityTypeConfiguration<PowerAction>
    {
        public void Configure(EntityTypeBuilder<PowerAction> builder)
        {
            builder.ToTable("PowerAction").HasKey(key => key.PowerActionId);
            builder.Property(z => z.PowerActionId).ValueGeneratedOnAdd();
        }
    }
}
